rpmfc.h File Reference
File Classification API.Building & signing packages: » | Build API.

Structures and methods for build-time file classification. More...

`#include <rpm/rpmtypes.h>`
`#include <rpm/argv.h>`
`#include <rpm/rpmspec.h>`
Include dependency graph for rpmfc.h:

Go to the source code of this file.

## Macros

#define | RPMFC_ELF (RPMFC_ELF32|RPMFC_ELF64|RPMFC_ELFMIPSN32)

## Typedefs

typedef struct rpmfc_s * | rpmfc
typedef rpmFlags | FCOLOR_t
typedef const struct rpmfcTokens_s * | rpmfcToken

## Enumerations

enum | FCOLOR_e { RPMFC_BLACK = 0, RPMFC_ELF32 = (1 << 0), RPMFC_ELF64 = (1 << 1), RPMFC_ELFMIPSN32 = (1 << 2), RPMFC_WHITE = (1 << 29), RPMFC_INCLUDE = (1 << 30), RPMFC_ERROR = (1 << 31) }

## Functions

void | rpmfcPrint (const char *msg, rpmfc fc, FILE *fp)
| Print results of file classification. More...
rpmfc | rpmfcFree (rpmfc fc)
| Destroy a file classifier. More...
rpmfc | rpmfcCreate (const char *rootDir, rpmFlags flags)
| Create a file classifier. More...
RPM_GNUC_DEPRECATED rpmfc | rpmfcNew (void)
rpmRC | rpmfcClassify (rpmfc fc, ARGV_t argv, rpm_mode_t *fmode)
| Build file class dictionary and mappings. More...
rpmRC | rpmfcApply (rpmfc fc)
| Build file/package dependency dictionary and mappings. More...
rpmds | rpmfcProvides (rpmfc fc)
| Retrieve file classification provides. More...
rpmds | rpmfcRequires (rpmfc fc)
| Retrieve file classification requires. More...
rpmds | rpmfcRecommends (rpmfc fc)
| Retrieve file classification recommends. More...
rpmds | rpmfcSuggests (rpmfc fc)
| Retrieve file classification suggests. More...
rpmds | rpmfcSupplements (rpmfc fc)
| Retrieve file classification supplements. More...
rpmds | rpmfcEnhances (rpmfc fc)
| Retrieve file classification enhances. More...
rpmds | rpmfcConflicts (rpmfc fc)
| Retrieve file classification conflicts. More...
rpmds | rpmfcObsoletes (rpmfc fc)
| Retrieve file classification obsoletes. More...
rpmds | rpmfcDependencies (rpmfc fc, rpmTagVal tagN)
| Retrieve file classification dependencies. More...

## Variables

int | _rpmfc_debug

## Detailed Description

Structures and methods for build-time file classification.

Definition in file rpmfc.h.

## Macro Definition Documentation

## RPMFC_ELF

#define RPMFC_ELF (RPMFC_ELF32|RPMFC_ELF64|RPMFC_ELFMIPSN32)

Definition at line 30 of file rpmfc.h.

## Variable Documentation

## _rpmfc_debug

int _rpmfc_debug